ncurses: Apply patch from upstream to allow building by gcc 5.0
authorJohn Marino <draco@marino.st>
Tue, 10 Feb 2015 01:41:18 +0000 (02:41 +0100)
committerJohn Marino <draco@marino.st>
Tue, 10 Feb 2015 01:44:03 +0000 (02:44 +0100)
commit9829f236c5501b68ebe191cf451c6c88409cea40
treecc36e75c552cbc64659cb4604f63e1ef19f314e7
parentcf515c3a6f3a8964ad592e524442bc628f8ed63b
ncurses: Apply patch from upstream to allow building by gcc 5.0

The gcc 5.0 processor will mangle the headers produced by this script.
It has already been fixed in official patches from upstream.  Applying
the appropriate patch will allow gcc 5.0 to build ncurses, and gcc 4.7
has been verified to continue to work as well.
contrib/ncurses/README.DRAGONFLY
contrib/ncurses/ncurses/base/MKlib_gen.sh